datacache <- new.env(hash=TRUE, parent=emptyenv())

rgu34c <- function() showQCData("rgu34c", datacache)
rgu34c_dbconn <- function() dbconn(datacache)
rgu34c_dbfile <- function() dbfile(datacache)
rgu34c_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rgu34c_dbInfo <- function() dbInfo(datacache)

rgu34cORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rgu34c.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RATCHIP_DB("rgu34c", "chip rgu34c", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rgu34c_dbconn())
}

